Std MergeProjects/ro: Difference between revisions

From FreeCAD Documentation
(Updating to match new version of source page)
(Updating to match new version of source page)
 
(5 intermediate revisions by 2 users not shown)
Line 1: Line 1:
<languages/>
<languages/>

{{Docnav
{{Docnav
|[[Std_Export|Std Export]]
|[[Std_Export|Export]]
|[[Std_ProjectInfo|Std ProjectInfo]]
|[[Std_ProjectInfo|ProjectInfo]]
|[[Std_File_Menu|Std File Menu]]
|[[Std_File_Menu|Std File Menu]]
|IconL=Std_Export.svg
|IconL=Std_Export.svg
Line 10: Line 11:


<div class="mw-translate-fuzzy">
<div class="mw-translate-fuzzy">
{{GuiCommand/ro
{{GuiCommand/ro|Name=Std MergeProject|Name/ro=Fuzionați Proiectul|Workbenches=All|MenuLocation=[[Std File Menu/ro|File]] → Fuzionați Proiectul|Shortcut=|SeeAlso=}}
|Name=Std MergeProjects
|Name/ro=Fuzionați Proiectul
|Workbenches=All
|MenuLocation=File → Fuzionați Proiectul
|Shortcut=
|SeeAlso=
}}
</div>
</div>


<span id="Description"></span>
==Descriere==
==Descriere==
Incorporează un alt proiect FreeCAD în cel actual.
Incorporează un alt proiect FreeCAD în cel actual.
Line 18: Line 27:
The '''Std MergeProjects''' command adds the contents of a FreeCAD file into the active document.
The '''Std MergeProjects''' command adds the contents of a FreeCAD file into the active document.


<span id="Usage"></span>
<div class="mw-translate-fuzzy">
<div class="mw-translate-fuzzy">
==Utilizare==
==Utilizare==
Line 24: Line 34:
</div>
</div>


# Select the {{MenuCommand|File → Merge project...}} option from the menu.
# Select the {{MenuCommand|File → [[Image:Std_MergeProjects.svg|16px]] Merge project...}} option from the menu.
# Select a FreeCAD file in the dialog box.
# Select a FreeCAD file in the dialog box.
# Press the {{Button|Open}} button.
# Press the {{Button|Open}} button.
Line 35: Line 45:


* A project cannot be merged with itself, selecting the current file is not allowed.
* A project cannot be merged with itself, selecting the current file is not allowed.
* FreeCAD will automatically change the internal names and, depending on the preferences, labels of objects to avoid name conflicts.
* FreeCAD will automatically change the internal names and, depending on the [[Preferences_Editor#Document|preferences]], labels of objects to avoid name conflicts.


==Preferences==
==Scripting==

{{Emphasis|See also:}} [[FreeCAD_Scripting_Basics|FreeCAD Scripting Basics]].

To merge a project use the {{Incode|mergeProject}} method of the document object.

{{Code|code=
import FreeCAD

FreeCAD.ActiveDocument.mergeProject("Path_to_FCStd_project_file")
}}


* The last used file location is stored: {{MenuCommand|Tools → Edit parameters... → BaseApp → Preferences → General → FileOpenSavePath}}.
* Duplicate labels are allowed if {{MenuCommand|Tools → Edit parameters... → BaseApp → Preferences → Document → DuplicateLabels}} is set to {{TRUE}}. This setting can also be changed in the [[Preferences_Editor#Document|Preferences Editor]].


{{Docnav
{{Docnav
|[[Std_Export|Std Export]]
|[[Std_Export|Export]]
|[[Std_ProjectInfo|Std ProjectInfo]]
|[[Std_ProjectInfo|ProjectInfo]]
|[[Std_File_Menu|Std File Menu]]
|[[Std_File_Menu|Std File Menu]]
|IconL=Std_Export.svg
|IconL=Std_Export.svg
Line 51: Line 69:
}}
}}


{{Std Base navi{{#translation:}}}}
{{Std_Base_navi{{#translation:}}}}
{{Userdocnavi{{#translation:}}}}
{{Userdocnavi{{#translation:}}}}
{{clear}}

Latest revision as of 11:49, 21 April 2024

Fuzionați Proiectul

poziția meniului
File → Fuzionați Proiectul
Ateliere
All
scurtătură
nici unul
Prezentat în versiune
-
A se vedea, de asemenea,
nici unul

Descriere

Incorporează un alt proiect FreeCAD în cel actual.

The Std MergeProjects command adds the contents of a FreeCAD file into the active document.

Utilizare

  1. Alegeți File Merge project... din meniul principalu.
  2. Va apărea un dialog contextual care vă va solicita numele fișierului și locația proiectului FreeCAD care urmează să fie îmbinate în cel curent.
  1. Select the File → Merge project... option from the menu.
  2. Select a FreeCAD file in the dialog box.
  3. Press the Open button.

Options

  • Press Esc or the Cancel button to abort the command.

Notes

  • A project cannot be merged with itself, selecting the current file is not allowed.
  • FreeCAD will automatically change the internal names and, depending on the preferences, labels of objects to avoid name conflicts.

Scripting

See also: FreeCAD Scripting Basics.

To merge a project use the mergeProject method of the document object.

import FreeCAD

FreeCAD.ActiveDocument.mergeProject("Path_to_FCStd_project_file")